<solidify-base-action-dialog [titleToTranslate]="'deposit.popup.orderAuthors.title' | translate">
  <ul (cdkDropListDropped)="drop($event)"
      cdkDropList
      class="list"
  >
    <li *ngFor="let author of listAuthorsSorted; let i = index; trackBy: trackByFn"
        cdkDrag
        class="author"
    >
      <div class="fullname">{{author.firstName}} {{author.lastName}}</div>
      <div class="buttons">
        <button (click)="up(i, author)"
                [class.hide]="i === 0"
                class="up-button"
                mat-icon-button
                type="button"
        >
          <solidify-icon [iconName]="iconNameEnum.up"></solidify-icon>
        </button>
        <button (click)="down(i, author)"
                [class.hide]="i === listAuthorsSorted.length - 1"
                class="down-button"
                mat-icon-button
                type="button"
        >
          <solidify-icon [iconName]="iconNameEnum.down"></solidify-icon>
        </button>
      </div>
    </li>
  </ul>
</solidify-base-action-dialog>
<div mat-dialog-actions>
  <button [mat-dialog-close]=""
          [solidifyAutoFocus]="true"
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}</button>
  <button (click)="validate()"
          color="primary"
          mat-flat-button
  >{{labelTranslateEnum.validate | translate}}
  </button>
</div>
